package com.yonge.toolset.utils.easyexcel;

import com.yonge.toolset.base.string.MessageFormatter;

import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022/4/20 10:09
 */
public class ExcelException extends RuntimeException{

    private List<ErrMsg> errMsgList;
    /**
     *
     */
    private static final long serialVersionUID = -4562885563376566463L;

    public ExcelException() {
        super();
    }

    public ExcelException(String message) {
        super(message);
    }

    public ExcelException(Throwable cause) {
        super(cause);
    }

    public ExcelException(String message, Throwable cause) {
        super(message, cause);
    }

    public ExcelException(String message, Object... arguments) {
        super(MessageFormatter.arrayFormat(message, arguments));
    }

    public ExcelException(String message, Throwable cause, Object... args) {
        super(MessageFormatter.arrayFormat(message, args), cause);
    }

    public ExcelException(String message,List<ErrMsg> errMsgList) {
        super(message);
        this.errMsgList = errMsgList;
    }


    public List<ErrMsg> getErrMsgList() {
        return errMsgList;
    }

    public void setErrMsgList(List<ErrMsg> errMsgList) {
        this.errMsgList = errMsgList;
    }
}
